{$APPTYPE CONSOLE}
uses
	SysUtils;

var
	fin, fout, fans: Text;

const
	MaxQ: Int64 = 1000*1000*1000;

procedure Ex(const s: string; ec: integer);
begin
	write(s);
	try
		close(fin); close(fout); close(fans);
	except
	end;
	halt(ec);
end;

var
	i, N: integer;
	Summ, KIn, KOut: Int64;

function ReadFromIn: Int64;
begin
	if SeekEof(fin) then begin Ex('Unexpected IN EOF', 3) end;
	read(fin, Result);
end;


function ReadFromOut: Int64;
begin
	if SeekEof(fout) then begin Ex('Unexpected OUT EOF', 2) end;
	read(fout, Result);
end;


begin
	Summ := 0;
	try
		assign(fin,paramstr(1)); reset(fin);
	except on e: Exception do
		Ex('Error opening input: ' + e.Message, 3);
	end;
	try
		assign(fans,paramstr(3)); reset(fans);   
	except on e: Exception do
		Ex('Error opening answer: ' + e.Message, 3);
	end;
	try
		assign(fout,paramstr(2)); reset(fout);
	except on e: Exception do
		Ex('Can''t open output: ' + e.Message, 2);
	end;
	try
		N := ReadFromIn;
		for i := 1 to N do begin
			KIn := ReadFromIn;
			KOut := ReadFromOut;
			if (KOut > MaxQ) OR (KOut <= 0) then Ex(format('%d value is out of range in pos %d', [KOut, i]), 2);
			Summ := Summ + KIn * KOut;
		end;
	except
		Ex('PE', 2);
	end;
	if not SeekEof(fout) then begin Ex('Extra OUT numbers', 2) end;
	if Summ <> 0 then
		Ex('Summe nicht Null ist', 1)
	else
		Ex('Summe ist Null', 0);
end.
